Genivia - ds__DSAKeyValueType Struct Reference

|  | Home | Documentation | ds__DSAKeyValueType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
ds__DSAKeyValueType Struct Reference

"http://www.w3.org/2000/09/xmldsig#":DSAKeyValueType is a complexType. More...

`#include <ds.h>`

## Public Attributes
char * | G
| Element G of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. More...
char * | Y
| Element Y of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. More...
char * | J
| Element J of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. More...
char * | P
| Element P of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. More...
char * | Q
| Element Q of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. More...
char * | Seed
| Element Seed of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. More...
char * | PgenCounter
| Element PgenCounter of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. More...

## Detailed Description

"http://www.w3.org/2000/09/xmldsig#":DSAKeyValueType is a complexType.

## Member Data Documentation

char* ds__DSAKeyValueType::G

Element G of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.

Optional element.

char* ds__DSAKeyValueType::J

Element J of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.

Optional element.

char* ds__DSAKeyValueType::P

Element P of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.

Required element.

char* ds__DSAKeyValueType::PgenCounter

Element PgenCounter of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.

Required element.

char* ds__DSAKeyValueType::Q

Element Q of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.

Required element.

char* ds__DSAKeyValueType::Seed

Element Seed of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.

Required element.

char* ds__DSAKeyValueType::Y

Element Y of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.

Required element.

The documentation for this struct was generated from the following file:

- ds.h